:root {
  --primary: #eb5e55;
  --secondary: #f5e3c8;
  --url: #3a8891;
  --white: #ffffff;
  --border: 5px solid #eb5e55;
  --transition: all 0.3s ease;
}

body {
  margin: 0;
  background-color: #43494e;
  font-size: 16px;
}

h1 {
  font-family: "Protest Guerrilla", sans-serif;
  font-size: 4em;
  color: var(--primary);
  margin: 16px;
  letter-spacing: 12px;
}

h2 {
  font-family: "Protest Guerrilla", sans-serif;
  font-size: 6vw;
  color: var(--secondary);
  margin: 36px;
  letter-spacing: 12px;
  text-transform: uppercase;
}

p {
  font-family: "Archivo", serif;
  font-size: 18px;
  color: #ffff;
  line-height: 130%;
}

p.lead {
  font-size: 21px;
}

a {
  display: inline-block;
  font-family: "Archivo", serif;
  text-transform: uppercase;
  color: var(--url);
  font-size: 18px;
  font-weight: 700;
  cursor: pointer;
  text-decoration: none;
  padding-top: 12px;
}

a::after {
  position: relative;
  content: "";
  height: 2px;
  bottom: 0;
  background-color: var(--url);
  width: 0%;
  left: 0;
  display: block;
}

a:hover::after {
  width: 100%;
  transition: var(--transition);
}

button {
  cursor: pointer;
}

video,
img {
  max-width: 100%;
}

header {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  margin-bottom: 48px;
}

header video {
  grid-column: 1;
  grid-row: 1;
}

.header-content {
  grid-column: 1;
  grid-row: 1;
  max-width: 100vw;
  z-index: 1;
}

#menu-trigger {
  z-index: 2;
  font-size: 48px;
  color: var(--primary);
  padding: 36px;
  position: fixed;
  top: 0;
  right: 0; 
  background-color: transparent;
  border: 0;
}

nav {
  height: 100%;
  right: 0;
  top: 0;
  font-family: "Archivo", serif;
  text-decoration: none;
  position: fixed;
  z-index: 1;
  background: #0000004a;
  transform: translateX(100%); /* Menü außerhalb des Bildschirms */
  transition: var(--transition);
}

nav.open {
  transform: translateX(0); /* Menü wird sichtbar */
  padding-right: 16px;
}

nav a {
  text-decoration: none;
  color: var(--primary);
  font-weight: 600;
  font-size: 64px;
}

nav a::after {
  background-color: var(--primary);
}

#menu ul {
  list-style: none;
  margin-top: 128px;
}

#menu li {
  color: var(--secondary);
}


.material-symbols-outlined {
  font-size: 48px;
}
.projects {
  text-align: center;
  margin-bottom: 48px;
}

.display-header {
  font-family: "Protest Guerrilla", sans-serif;
  font-size: 4em;
  color: var(--primary);
  margin: 48px;
  font-size: 12vw;
  color: #ffff;
  opacity: 75%;
  letter-spacing: 12px;
  text-transform: uppercase;
}

.display-header-subpages {
  font-family: "Protest Guerrilla", sans-serif;
  font-size: 4em;
  color: var(--primary);
  margin: 36px;
  font-size: 12vw;
  letter-spacing: 12px;
  text-transform: uppercase;
  border-bottom: 2px solid var(--white);
}

section {
  margin: 36px;
}

/*-Galerie-*/

.galerie {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-auto-rows: 300px;
  gap: 12px;
  grid-auto-flow: dense;
  text-align: center;
}

.galerie.video-gallery {
  grid-auto-rows: 400px;
}

.image-wrapper {
  display: grid;
  overflow: clip;
  align-items: center;
}

.image-overlay {
  grid-column: 1;
  grid-row: 1;
  z-index: 1;
  opacity: 0;
  transition: var(--transition);
  height: 100%;
}

.image-overlay:hover {
  opacity: 1;
}

.gallery-image {
  display: block;
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
  transition: var(--transition);
}

.gallery-video {
  display: block;
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

img.gallery-image {
  grid-column: 1;
  grid-row: 1;
  min-height: 0;
}

.image-wrapper:hover .gallery-image {
  transform: scale(1.09);
}

a.primary-button {
  position: relative;
  margin: 36px;
  padding: 18px;
  background-color: hsl(from var(--primary) h s l / 0.5);
  color: var(--primary);
  text-decoration: none;
  transition: var(--transition);
}

a.primary-button:hover {
  box-shadow: 0 0 0 10px hsl(from var(--primary) h s l / 0.5);
}

a.primary-button::after {
  background-color: var(--primary);
}

.about-me h2 {
  grid-column: 1;
  grid-row: 1;
  text-transform: uppercase;
  color: var(--primary);
  margin-left: -24px;
  letter-spacing: 16px;
  font-size: 14vw;
}

.about-me p {
  grid-column: 1;
  grid-row: 1;
  padding: 36px;
}

img.side-image {
  display: block;
  grid-column: 2;
  grid-row: 1;
  border-radius: 50%;
  width: 75%;
  justify-self: center;
}

/*-------------------Footer-------------------*/

.footer {
  margin: 36px;
}

.social-icons {
  margin-right: 36px;
}

ul.menu-item {
  list-style: none;
  padding: 0;
}

/*-------------------Kontaktformular-------------------*/

footer {
  padding: 36px;
}

.radiobuttons {
  display: flex;
  margin-bottom: 12px;
}

input[type="radio"] {
  display: flex;
  margin-left: 12px;
  margin-right: 12px;
}

input[type="text"] {
  padding: 12px;
  font-size: 18px;
  display: block;
  width: 100%;
  box-sizing: border-box;
}

input[type="password"] {
  padding: 12px;
  font-size: 18px;
  display: block;
  width: 100%;
  box-sizing: border-box;
}

input[type="tel"] {
  display: block;
  font-size: 18px;
  padding: 12px;
  box-sizing: border-box;
  width: 100%;
}

input[type="email"] {
  display: block;
  font-size: 18px;
  padding: 12px;
  box-sizing: border-box;
  width: 100%;
}

label {
  font-family: "Archivo", serif;
  font-size: 18px;
  font-weight: 600;
  color: #ffff;
  line-height: 130%;
}

form {
  margin: 12px;
}

@media (min-width: 768px) {
  .display-header {
    font-size: 16vw;
    letter-spacing: 32px;
  }

  h2 {
    font-size: 4vw;
  }

  form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    max-width: 100%;
    padding: 36px;
    gap: 36px;
    margin: 36px;
  }

  .inputfield {
    margin-bottom: 12px;
  }

  .radiobuttons {
    grid-column: span 2;
  }

  footer {
    display: grid;
    margin-top: 36px;
    padding: 36px;
    grid-template-columns: 1fr 1fr 1fr;
    border-top: 1.7px var(--white) solid;
    text-align: center;
  }

  .about-me {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
  }

  .gallery-image-vertical {
    grid-row: span 2;
  }

  .galerie {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-auto-rows: 200px;
    gap: 12px;
    grid-auto-flow: dense;
    text-align: center;
  }

  img.side-image {
    width: 50%;
  }
}
